Bug 236505 - WebGL GPUP OpenGL context is not used even if WebGL via Metal is deselected
Summary: WebGL GPUP OpenGL context is not used even if WebGL via Metal is deselected
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks: webglgpup
  Show dependency treegraph
 
Reported: 2022-02-11 07:13 PST by Kimmo Kinnunen
Modified: 2022-03-01 06:33 PST (History)
8 users (show)

See Also:


Attachments
wip (11.62 KB, patch)
2022-02-13 11:22 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (15.53 KB, patch)
2022-02-14 07:23 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (15.85 KB, patch)
2022-02-28 04:00 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (16.55 KB, patch)
2022-02-28 05:35 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (18.04 KB, patch)
2022-02-28 10:43 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2022-02-11 07:13:07 PST
WebGL GPUP OpenGL context is not used even if WebGL via Metal is deselected

when useMetal attribute was added, it wasn't added to the serialisation
Comment 1 Radar WebKit Bug Importer 2022-02-12 19:47:23 PST
<rdar://problem/88862936>
Comment 2 Kimmo Kinnunen 2022-02-13 11:22:37 PST
Created attachment 451828 [details]
wip
Comment 3 Kimmo Kinnunen 2022-02-14 07:23:51 PST
Created attachment 451900 [details]
Patch
Comment 4 Kimmo Kinnunen 2022-02-28 04:00:03 PST
Created attachment 453380 [details]
Patch
Comment 5 Kimmo Kinnunen 2022-02-28 05:35:43 PST
Created attachment 453385 [details]
Patch
Comment 6 Kimmo Kinnunen 2022-02-28 10:43:17 PST
Created attachment 453408 [details]
Patch
Comment 7 Myles C. Maxfield 2022-02-28 10:48:15 PST
Comment on attachment 453408 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=453408&action=review

> Source/WebCore/platform/graphics/GraphicsContextGLAttributes.h:80
> +#if ENABLE(GPU_PROCESS)

Is there harm in leaving these functions in, even if !ENABLE(GPU_PROCESS)? I generally view #ifs as worse than leaving in unused functions.
Comment 8 Kimmo Kinnunen 2022-03-01 05:41:00 PST
> Is there harm in leaving these functions in, even if !ENABLE(GPU_PROCESS)? I generally view #ifs as worse than leaving in unused functions.

I think it's the project style to use the ifdefs?
The old code also had the ifdefs, as has other similar code.

I'd like if the project moved to style with less ifdefs.
Comment 9 EWS 2022-03-01 06:33:26 PST
Committed r290643 (247916@main): <https://commits.webkit.org/247916@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 453408 [details].